Skip to main content
POST
/
ffmpeg
curl --request POST \
  --url https://api.varg.ai/v1/ffmpeg \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://s3.varg.ai/o/my-video.mp4",
  "command": "-vf eq=brightness=0.1 -c:a copy"
}
'
{
  "job_id": "job_a1b2c3d4",
  "status": "completed",
  "model": "fal:kling-v2.5",
  "created_at": "2026-02-13T10:00:00Z",
  "completed_at": "2026-02-13T10:02:30Z",
  "output": {
    "url": "https://s3.varg.ai/o/job_a1b2c3d4.mp4",
    "media_type": "video/mp4"
  },
  "cache": {
    "hit": false,
    "key": "sha256:abc123..."
  },
  "error": "Provider returned an error"
}

Authorizations

Authorization
string
header
required

API key from varg.ai/dashboard.

Pass as Authorization: Bearer varg_xxx.

Body

application/json
command
string
required

FFmpeg command arguments. Use {{in_1}}, {{out_1}} placeholders.

Example:

"-vf eq=brightness=0.1 -c:a copy"

url
string<uri>

Primary input file URL (shorthand — becomes {{in_1}}). Mutually exclusive with providing in_1 in input_files.

Example:

"https://s3.varg.ai/o/my-video.mp4"

input_files
object

Map of input labels to URLs (e.g. {"in_1": "url1", "in_2": "url2"})

output_files

Output file map or "OUTPUT_FOLDER". Defaults to {"out_1": "output.mp4"}.

Response

Job created

job_id
string
required

Unique job identifier

Example:

"job_a1b2c3d4"

status
enum<string>
required

Current job status

Available options:
queued,
processing,
completed,
failed,
cancelled
Example:

"completed"

model
string
required

Resolved model identifier (provider:model format)

Example:

"fal:kling-v2.5"

created_at
string<date-time>
required

When the job was created

Example:

"2026-02-13T10:00:00Z"

completed_at
string<date-time>

When the job finished (completed, failed, or cancelled)

Example:

"2026-02-13T10:02:30Z"

output
object

Job output, present when status is completed

cache
object

Cache metadata

error
string

Error message, present when status is failed

Example:

"Provider returned an error"